# Uses of Class
com.google.protobuf.ListValue

Packages that use ListValue
Package
Description
com.google.protobuf

## Uses of ListValue in com.google.protobuf

Methods in com.google.protobuf that return ListValue
Modifier and Type
Method
Description
`ListValue`
ListValue.Builder.`build()`
`ListValue`
ListValue.Builder.`buildPartial()`
`static ListValue`
ListValue.`getDefaultInstance()`
`ListValue`
ListValue.Builder.`getDefaultInstanceForType()`
`ListValue`
ListValue.`getDefaultInstanceForType()`
`ListValue`
Value.Builder.`getListValue()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`ListValue`
Value.`getListValue()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`ListValue`
ValueOrBuilder.`getListValue()`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`static ListValue`
ListValue.`parseDelimitedFrom(InputStream input)`
`static ListValue`
ListValue.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ListValue`
ListValue.`parseFrom(byte[] data)`
`static ListValue`
ListValue.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ListValue`
ListValue.`parseFrom(ByteString data)`
`static ListValue`
ListValue.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ListValue`
ListValue.`parseFrom(CodedInputStream input)`
`static ListValue`
ListValue.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ListValue`
ListValue.`parseFrom(InputStream input)`
`static ListValue`
ListValue.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ListValue`
ListValue.`parseFrom(ByteBuffer data)`
`static ListValue`
ListValue.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type ListValue
Modifier and Type
Method
Description
`Parser<ListValue>`
ListValue.`getParserForType()`
`static Parser<ListValue>`
ListValue.`parser()`
Methods in com.google.protobuf with parameters of type ListValue
Modifier and Type
Method
Description
`ListValue.Builder`
ListValue.Builder.`mergeFrom(ListValue other)`
`Value.Builder`
Value.Builder.`mergeListValue(ListValue value)`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`
`static ListValue.Builder`
ListValue.`newBuilder(ListValue prototype)`
`Value.Builder`
Value.Builder.`setListValue(ListValue value)`
`.google.protobuf.ListValue list_value = 6 [json_name = "listValue"];`